QGIS Application - Bug report #9558
MMQGIS: spatial join: '‘QgsRasterDataProvider' object has no attribute 'fields'
2014-02-13 03:14 PM - Simon Dedman

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:2.0.1 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 18144
Description

Hi all.

Getting a bug in MMQGIS when trying to do a spatial join; the following code pops up as soon as | select spatial join. Does anyone know
what would cause this? | don't know how python works...

Thanks!

An error has occured while executing Python code:

Traceback (most recent call last):
File "C:\\Users\\Simon Dedman/.qgis2/python/plugins\\mmaqgis\\mmqgis_dialogs.py", line 2119, in set_spatial_operations
for index, field in enumerate(join.dataProvider().fields()):
AttributeError: 'QgsRasterDataProvider' object has no attribute ‘fields’

Python version:
2.7.4 (default, Apr 6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS version:
2.0.1-Dufour Dufour, ebebdf3

Python path: ['C:/OSGeo4W/apps/qgis/./python/plugins\\\processing', 'C:/OSGeo4W/apps/qgis/./python’,
'C:\WUsers\\\Simon Dedman/.qgis2/python’, 'C:\\WUsers\\\Simon Dedman/.qgis2/python/plugins’,
'C:/OSGeo4W/apps/qgis/./python/plugins’,

'C:\\WProgram Files (x86)\\WArcGIS\\\bin', 'C:\WOSGeo4W\\\apps\\\mapfish_framework-1.0\\\\site-packages',
'C:\WOSGeodW\\\bin\\python27.zip',

'C:\\WOSGeodW\\apps\\Python27\\\DLLs', 'C:\WOSGeo4W\\\\apps\\\\Python27\\\\lib',
'CA\WOSGeo4W\\\apps\\\Python27\\\lib\\\plat-win'

, 'C\WOSGeo4W\\Wapps\\\Python27\\Wib\\Wlib-tk', 'CAWOSGeo4W\\bin', 'C:\\WOSGeodW\\apps\\\Python27',
'C:A\WOSGeo4W\\Wapps\\\Python27\\\lib\\\site-packages', 'C:\\W\OSGeo4W\\\apps\\\\Python27\\\lib\\\site-packages\\\PIL',
'C:\WOSGeodW\\apps\\\\Python27\\\\ib\\\\site-packages\\win32',
'C:\WOSGeodW\\W\apps\\\Python27\\Wib\\\site-packages\\\win32\\\lib',
'C:AWNOSGeodW\\Wapps\\\Python27\\\lib\\\site-packages\\\\Pythonwin',
'C:\WNOSGeodW\\Wapps\\\Python27\\\\ib\\\site-packages\\\Shapely-1.2.18-py2.7-win32.egg’,
'C:\WOSGeodW\\Wapps\\\Python27\\\lib\\site-packages\\\\wx-2.8-msw-unicode',

'C:\WUsers\\\Simon Dedman\\\\.qgis2\\\\python\\\\plugins\\\\mmaqgis/forms',
'C:\WOSGeodW\\Wapps\\\ggis\\\python\\\plugins\\\f Tools\\\tools',

'C:/Users/Simon Dedman/Dropbox/Galway/Data/Maps']
History

#1 - 2014-02-13 04:21 PM - Jiirgen Fischer
- Resolution set to invalid
- Status changed from Open to Closed

please contact the author of the plugin: http://michaelminn.com/linux/mmqgis/
